commit e120b454c310311a659b87bcfe5cd2bb39c75f13
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat May 30 00:17:38 2020 +0000

    Daily bump.

diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index 2315d51a89e..3e0a7a4a147 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,10 @@
+2020-05-29  Martin Liska  <mliska@suse.cz>
+
+	* git-backport.py: The script did 'git co HEAD~' when
+	there was no modified ChangeLog file in a successful
+	git cherry pick.
+	Run cherry-pick --continue without editor.
+
 2020-05-27  Martin Liska  <mliska@suse.cz>
 
 	* git-backport.py: New file.
diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 956ad8b39fe..fe3fd974880 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,16 @@
+2020-05-29  Alex Coplan  <alex.coplan@arm.com>
+
+	PR target/94591
+	* config/aarch64/aarch64.c (aarch64_evpc_rev_local): Don't match
+	identity permutation.
+
+2020-05-29  Dong JianQiang  <dongjianqiang2@huawei.com>
+
+	PR gcov-profile/95332
+	* gcov-io.c (gcov_var::endian): Move field.
+	(from_file): Add IN_GCOV_TOOL check.
+	* gcov-io.h (gcov_magic): Ditto.
+
 2020-05-24  H.J. Lu  <hongjiu.lu@intel.com>
 
 	PR target/95258
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 065a3b85610..cadcec3f8ad 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200529
+20200530
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index aadf5071c29..8038e5798d5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2020-05-29  Alex Coplan  <alex.coplan@arm.com>
+
+	PR target/94591
+	* gcc.c-torture/execute/pr94591.c: New test.
+
 2020-05-28  Tobias Burnus  <tobias@codesourcery.com>
 
 	PR fortran/50392
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 030e4d7ee24..2d7e900a653 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,17 @@
+2020-05-29  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>
+
+	* config/aarch64/lse-init.c (init_have_lse_atomics): Use __getauxval
+	instead of getauxval.
+	(AT_HWCAP): Define.
+	(HWCAP_ATOMICS): Define.
+	Guard detection on __gnu_linux__.
+
+2020-05-29  Dong JianQiang  <dongjianqiang2@huawei.com>
+
+	PR gcov-profile/95332
+	* libgcov-util.c (read_gcda_file): Call gcov_magic.
+	* libgcov.h (gcov_magic): Disable GCC poison.
+
 2020-05-20  H.J. Lu  <hongjiu.lu@intel.com>
 
 	Backport from master

